package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.entity.GzMemberinfo;
import com.muchinfo.mtp3pojos.entity.Noticemsg;
import com.muchinfo.mtp3pojos.entity.SiteColumnconfig;
import com.muchinfo.mtp3pojos.entity.SiteColumndetail;
import com.muchinfo.mtp3pojos.vo.notice.*;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;

public interface INoticeService {
    AjaxResult noticemsgadd(NoticeMsgAddParam param, HttpServletRequest request) throws ParseException;

    PageResult<NoticeMsgQueryResult> query(NoticeMsgQueryParam param, HttpServletRequest request);

    AjaxResult<Noticemsg> noticeMsgDetail(Long msgId, HttpServletRequest request);

    AjaxResult delete(Long msgId, HttpServletRequest request);

    AjaxResult updateforcedisplay(Long msgId, Integer isforcedisplay, HttpServletRequest request);

    AjaxResult auditMsg(Long auditid, Integer auditflag, String msg, HttpServletRequest request);

    PageResult<SmsQueryResult> smsquery(SmsQueryParam param, HttpServletRequest request);

    AjaxResult resend(Long msgid, HttpServletRequest request);

    PageResult<ColumnQueryResult> columnquery(ColumnQueryParam param, HttpServletRequest request);

    AjaxResult dealcolumn(ColumnAddParam param, HttpServletRequest request);

    AjaxResult<SiteColumnconfig> columnDetail(Long id, HttpServletRequest request);

    AjaxResult columndelete(Long id, HttpServletRequest request);

    PageResult<ColumnSourceQueryResult> columnsourcequery(String smembername, Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult dealcolumnsource(ColumnSourceAddParam param, HttpServletRequest request);

    AjaxResult columnsourcedelete(Long memberid, HttpServletRequest request);

    AjaxResult<GzMemberinfo> columnsourceDetail(Long memberid, HttpServletRequest request);

    PageResult<InforManQueryResult> informManquery(InforManQueryParam param, HttpServletRequest request);

    AjaxResult<InformManinitMessage> informManinit(HttpServletRequest request);

    AjaxResult<SiteColumndetail> informDetail(Long id, HttpServletRequest request);

    AjaxResult isshow(Long id, HttpServletRequest request);

    AjaxResult dealinform(SiteColumndetail param, HttpServletRequest request);

    AjaxResult auditinform(Long id, Integer flag, HttpServletRequest request);

    AjaxResult deleteinform(Long id, HttpServletRequest request);

    AjaxResult noticemsgedit(NoticeMsgAddParam addParam, HttpServletRequest request) throws ParseException;

    AjaxResult invalid(Long auditid, HttpServletRequest request);
}
